<?php
/**
 * Magiccart 
 * @category 	Magiccart 
 * @copyright 	Copyright (c) 2014 Magiccart (http://www.magiccart.net/) 
 * @license 	http://www.magiccart.net/license-agreement.html
 * @Author: DOng NGuyen<nguyen@dvn.com>
 * @@Create Date: 2016-01-08 22:57:12
 * @@Modify Date: 2018-03-14 23:53:41
 * @@Function:
 */
?>
<?php if(!$this->getStatus()) return; ?>
<?php $selector = 'alo-content-'.uniqid(); ?>
<div class= "<?php /* @escapeNotVerified */ echo $selector?> magicproduct autoplay">
	<?php 
	$timer  = $this->getData('countdown');
	$timer = $timer ?  date('n/d/Y', strtotime($timer)) : 0;
	if($timer) : 
		?>
		<div class="alo-count-down count-down-time">
			<span class="icon-clock fa fa-clock-o"><span class="hidden">hidden</span></span>
			<div class="countdown caption" data-timer="<?php /* @escapeNotVerified */ echo $timer ?>"></div>
		</div>
	<?php endif ?>
	<?php
	$tabs = $this->getTabs();
	$numTabs = count($tabs);
	if($numTabs): ?>
		<div class="block-title-tabs clearfix">
			<span class="toggle-tab mobile" style="display:none"></span>
			<ul class="magictabs toggle-content clearfix" data-ajax ='<?php /* @escapeNotVerified */ echo $this->getAjaxCfg() ?>'>
				<?php $activated = $this->getTabActivated();
				$limit = $this->getLimit();
				$single = ($numTabs ==1) ? 'single' : '';
				foreach ($tabs as $type => $name):
					$status  = (!$this->getAjax() || $activated ==$type) ? 'loaded' : '';
					$status .= ($type == $activated) ? " activated $single" : '';
					/* @escapeNotVerified */ echo '<li class="item '.$status.'" data-type ="'.$type.'"><span class ="title">'.__($name).'</span></li>';
				endforeach;
				?>
			</ul>
		</div>
	<?php endif ?>
	<div class="ajax_loading" style="display:none" data-url="<?php /* @escapeNotVerified */ echo $this->getUrl('magicproduct/index/product', array('_secure'=>$this->getRequest()->isSecure()))?>"></div>
	<div class="box-product-content clearfix">
		<div class="content-products" <?php foreach ($this->getFrontendCfg() as $opt) :?> data-<?php /* @escapeNotVerified */ echo $opt ?>='<?php /* @escapeNotVerified */ echo $this->getData($opt) ?>' <?php endforeach;?>>
			<?php 
			$timer = $this->getTimer();
			if($timer) echo $this->getContent('product/gridtimer.phtml');	
			else echo $this->getContent('product/grid.phtml');	
			?>	
		</div>
		<?php if($this->getData('loadmore')): ?>
			<div class="action-more" style="display: none;">
				<span class="load-more" data-loading="<?php echo __('Loading...') ?>" data-loaded="<?php echo __('Loaded') ?>"><?php echo __('Load more') ?></span>
				<span class="load-end"><?php echo __('There are no other products') ?></span>
			</div>
		<?php endif ?>
	</div>
</div>